<!--<div class="header">-->
<!--  Nachrichten-->
<!--</div>-->
<!--<div class="date-badge">-->
<!--  {{date | date: 'dd.MM.yyyy'}} um {{ date | date: 'HH:mm'}}<br>-->
<!--  von {{message.payload.author}}-->
<!--</div>-->
<!--<div class="news-body">-->
<!--  <div class="news-title">{{message.payload.title}}</div>-->
<!--  <div class="news-text text-muted" [innerHTML]="message.payload.body"></div>-->
<!--</div>-->

<app-background [videoUrl]="visual.videoUrl"></app-background>
<div class="content-container">
  <div class="position-absolute w-100" @container>
    <div class="d-flex justify-content-center" [style.minHeight]="'100vh'">
      <div class="d-flex flex-column justify-content-center">
        <div class="item-background p-3 d-flex flex-column" [style.minWidth]="'40vw'" [style.maxWidth]="'80vw'"
             [style.borderRadius]="'1rem'">
          <div>
            <p class="h5 mb-2 text-secondary text-right">
              Nachricht von
              <span class="text-white">{{message.payload.author}}</span>
            </p>
            <hr class="mt-1 mb-2 border-secondary">
          </div>
          <div>
            <h1 class="mb-4 font-weight-lighter text-center w-100">
              {{message.payload.title}}<br>
            </h1>
          </div>
          <div>
            <p class="h5 mb-4" [innerHTML]="message.payload.body">
            </p>
          </div>
          <div>
            <hr class="my-1 border-secondary">
            <p class="h5 mb-2 text-secondary text-right">
              {{date | date: 'dd.MM.yyyy'}} um {{ date | date: 'HH:mm'}}
            </p>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
